|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QFormBuilder Class Reference
[QtDesigner module]

The QFormBuilder class is used to dynamically construct user interfaces from .ui files at run-time. More...

    #include <QFormBuilder>

Inherits QAbstractFormBuilder.

- List of all members, including inherited members

### Public Functions

- QFormBuilder ()
- void addPluginPath ( const QString & pluginPath )
- void clearPluginPaths ()
- QList<QDesignerCustomWidgetInterface *> customWidgets () const
- QStringList pluginPaths () const
- void setPluginPath ( const QStringList & pluginPaths )

- 4 public functions inherited from QAbstractFormBuilder

## Detailed Description

The QFormBuilder class is used to dynamically construct user interfaces from .ui files at run-time.

The QFormBuilder class provides a mechanism for dynamically creating user interfaces at run-time, based on `.ui` files created with Qt Designer.

This class extends the QAbstractFormBuilder base class with a number of functions that are used to support custom widget plugins:

- pluginPaths() returns the list of paths that the form builder searches when loading custom widget plugins.
- addPluginPath() allows additional paths to be registered with the form builder.
- setPluginPath() is used to replace the existing list of paths with a list obtained from some other source.
- clearPluginPaths() removes all paths registered with the form builder.
- customWidgets() returns a list of interfaces to plugins that can be used to create new instances of registered custom widgets.

See also QAbstractFormBuilder.

## Member Function Documentation

### QFormBuilder::QFormBuilder ()

Constructs a new form builder.

### void QFormBuilder::addPluginPath ( const QString & pluginPath )

Adds a new plugin path specified by pluginPath to the list of paths that will be searched by the form builder when loading a custom widget plugin.

See also setPluginPath() and clearPluginPaths().

### void QFormBuilder::clearPluginPaths ()

Clears the list of paths that the form builder uses to search for custom widget plugins.

See also pluginPaths(), addPluginPath(), and setPluginPath().

### QList<QDesignerCustomWidgetInterface *> QFormBuilder::customWidgets () const

Returns the list of interfaces to the custom widgets registered with the form builder.

### QStringList QFormBuilder::pluginPaths () const

Returns the list of paths the form builder searches for plugins.

See also addPluginPath(), clearPluginPaths(), and setPluginPath().

### void QFormBuilder::setPluginPath ( const QStringList & pluginPaths )

Sets the list of plugin paths to the list specified by pluginPaths.

See also addPluginPath(), clearPluginPaths(), and pluginPaths().